Activity log for bug #1840375

Date Who What changed Old value New value Message
2019-08-15 21:17:03 Jamie Strandboge bug added bug
2019-08-15 21:17:29 Jamie Strandboge bug task added snapd
2019-08-15 21:18:46 Jamie Strandboge snapd: assignee Michael Vogt (mvo)
2019-08-21 09:41:10 Michael Vogt nominated for series Ubuntu Bionic
2019-08-21 09:41:10 Michael Vogt bug task added shadow (Ubuntu Bionic)
2019-08-21 09:41:10 Michael Vogt nominated for series Ubuntu Xenial
2019-08-21 09:41:10 Michael Vogt bug task added shadow (Ubuntu Xenial)
2019-08-21 10:23:04 Michael Vogt nominated for series Ubuntu Disco
2019-08-21 10:23:04 Michael Vogt bug task added shadow (Ubuntu Disco)
2019-08-21 10:36:13 Michael Vogt description snapd needs the ability to call 'groupdel --extrausers foo' to clean up after itself, but --extrausers is currently unsupported. snapd needs the ability to call 'groupdel --extrausers foo' to clean up after itself, but --extrausers is currently unsupported. [Impact] On ubuntu-core systems we want to be able to manage "extrausers" in the same way as regular users. This requires updates to the various {user,group}{add,del} tools. Right now "groupdel" cannot handle extrausers. This is an important feature for Ubuntu Core [Test Case] 1. install the libnss-extrausers and configure it 2. run "groupadd --extrausers foo" 3 check /var/lib/extrausers/group for the new "foo" group 4. run "groupdel --extrausers foo" 5. check /var/lib/extrausers/group and ensure the "foo" group is removed [Regression Potential] * low: this adds a new (optional) option which is off by default
2019-08-21 10:36:21 Michael Vogt shadow (Ubuntu): status Triaged In Progress
2019-08-22 12:13:22 Launchpad Janitor shadow (Ubuntu): status In Progress Fix Released
2019-08-30 22:12:56 Steve Langasek shadow (Ubuntu Disco): status New Fix Committed
2019-08-30 22:12:59 Steve Langasek bug added subscriber Ubuntu Stable Release Updates Team
2019-08-30 22:13:01 Steve Langasek bug added subscriber SRU Verification
2019-08-30 22:13:05 Steve Langasek tags verification-needed verification-needed-disco
2019-08-30 22:13:52 Steve Langasek shadow (Ubuntu Bionic): status New Fix Committed
2019-08-30 22:14:00 Steve Langasek tags verification-needed verification-needed-disco verification-needed verification-needed-bionic verification-needed-disco
2019-08-30 22:15:00 Steve Langasek shadow (Ubuntu Xenial): status New Fix Committed
2019-08-30 22:15:06 Steve Langasek tags verification-needed verification-needed-bionic verification-needed-disco verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial
2019-09-25 15:18:40 Zygmunt Krynicki snapd: status New Triaged
2019-09-25 15:18:42 Zygmunt Krynicki snapd: importance Undecided Medium